﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Diagram;
using Syncfusion.Windows.Forms.Diagram.Controls;
using System.IO;
using Rectangle = Syncfusion.Windows.Forms.Diagram.Rectangle;

namespace Sample
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            this.diagram1.Controller.DefaultConnectorTool = ConnectorTool.OrgLineConnectorTool;

            diagram1.Controller.ActivateTool("OrgLineConnectorTool");

            //enabling for model  
            this.diagram1.Model.LineRoutingEnabled = true;

            this.diagram1.Model.LineRouter.DistanceToObstacles = 10;
            this.diagram1.Model.LineRouter.RoutingMode = RoutingMode.Automatic;
        }

        private void Form1_Load_1(object sender, EventArgs e)
        {
            Rectangle rect1 = new Rectangle(200, 200, 100, 50);

            Rectangle rect2 = new Rectangle(400, 300, 100, 50);

            diagram1.Model.AppendChild(rect1);
            diagram1.Model.AppendChild(rect2);

            ConnectionPoint cp = new ConnectionPoint();
            cp.Position = Position.MiddleRight;
            rect1.Ports.Add(cp);

            ConnectionPoint cp1 = new ConnectionPoint();
            cp1.Position = Position.MiddleLeft;
            rect2.Ports.Add(cp1);

        }
    }
}
